Bug 1279781 - Validation Error for Parameter value is not clearly displayed in Host page.
Validation Error for Parameter value is not clearly displayed in Host page.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 04:50 EST by Jitendra Yejare
Modified: 2016-12-26 07:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-26 07:58:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot Attached. (251.41 KB, image/png)
2015-11-10 04:50 EST, Jitendra Yejare
no flags Details
validation message displayed correctly (9.34 KB, image/png)
2016-12-26 07:58 EST, Tomer Brisker
no flags Details

  None (edit)
Description Jitendra Yejare 2015-11-10 04:50:38 EST
Created attachment 1092147 [details]
Screenshot Attached.

Description of problem:
A validation error for invalid value to parameter is not displayed clearly in Host-> Parameter tab specially in red colour as it does in Puppet class parameter.

First of all I thought there is no Error only. But later realized that its there but not clear.

Version-Release number of selected component (if applicable):
foreman-1.11.0-0.develop.201511051605gitbd71155.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Override a puppet class parameter in Host->Parameters tab.
2. Set the invalid value for parameter.
3. Observe the Error dialog for invalid value.

Actual results:
The error dialog displayed but its not clear enough. Displays in Gray colour looks faint.

Expected results:
The error dialog should be clearly visible and should be in Red Colour.

Additional info:
Comment 2 Bryan Kearney 2016-07-08 16:48:36 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 4 Tomer Brisker 2016-12-26 07:58 EST
Created attachment 1235390 [details]
validation message displayed correctly

This works correctly in Satellite 6.2.6. Closing.

Note You need to log in before you can comment on or make changes to this bug.